--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:    10:47:44 01/27/06
-- Design Name:    
-- Module Name:    M64_1 - Behavioral
-- Project Name:   
-- Target Device:  
-- Tool versions:  
-- Description:
--
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity M16_1b is
    Port ( d0 : in std_logic;
			  d1 : in std_logic;
			  d2 : in std_logic;
			  d3 : in std_logic;
			  d4 : in std_logic;
			  d5 : in std_logic;
			  d6 : in std_logic;
			  d7 : in std_logic;
			  d8 : in std_logic;
			  d9 : in std_logic;
			  d10 : in std_logic;
			  d11 : in std_logic;
			  d12 : in std_logic;
			  d13 : in std_logic;
			  d14 : in std_logic;
			  d15 : in std_logic;
           s : in std_logic_vector(3 downto 0);
           o : out std_logic);
end M16_1b;

architecture Behavioral of M16_1b is
begin
process(d0,d1,d2,d3,d4,d5,d6,d7,d8,d9,d10,d11,d12,d13,d14,d15,s)
begin
  case s is
    when "0000" => o <= d0;
    when "0001" => o <= d1;
    when "0010" => o <= d2;
    when "0011" => o <= d3;
    when "0100" => o <= d4;
    when "0101" => o <= d5;
    when "0110" => o <= d6;
    when "0111" => o <= d7;
    when "1000" => o <= d8;
    when "1001" => o <= d9;
    when "1010" => o <= d10;
    when "1011" => o <= d11;
    when "1100" => o <= d12;
    when "1101" => o <= d13;
    when "1110" => o <= d14;
    when others => o <= d15;
  end case;
end process;

end Behavioral;
