////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Mylib_vtx_pack_H
#define H_Mylib_vtx_pack_H

#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


#include "ieee/std_logic_arith/std_logic_arith.h"
#include "ieee/std_logic_1164/std_logic_1164.h"

class Mylib_vtx_pack: public HSim__s6 {
public:
HSim__s4 Ee;
HSim__s4 Em;
HSim__s4 Eu;
HSim__s4 EB;
HSim__s4 EI;
HSim__s4 EQ;
HSim__s4 EX;
HSim__s4 E14;
HSim__s4 E1b;
HSim__s4 E1i;
/* subprogram name conv_v2u */
char *G1s(HSimConstraints *reConstr, const char *E1n, const HSimConstraints *constrE1n);
/* subprogram name conv_u2v */
char *G1z(HSimConstraints *reConstr, const char *E1w, const HSimConstraints *constrE1w);

public:

public:
  Mylib_vtx_pack(const HSimString &name);
  ~Mylib_vtx_pack();
};

extern Mylib_vtx_pack *MylibVtx_pack;

#endif
