#include "isim/work/tb_vhd/behavior.h"
static const char * HSimCopyRightNotice = "Copyright 2004-2005, Xilinx Inc. All rights reserved.";
#include "C:/ise81/vhdl/hdp/nt/ieee/std_logic_1164/std_logic_1164.h"
#include "C:/ise81/vhdl/hdp/nt/std/textio/textio.h"
#include "C:/ise81/vhdl/hdp/nt/ieee/vital_timing/vital_timing.h"
#include "C:/ise81/vhdl/hdp/nt/ieee/vital_primitives/vital_primitives.h"
#include "C:/ise81/vhdl/hdp/nt/ieee/std_logic_arith/std_logic_arith.h"
#include "isim/unisim.auxlib/vpkg/vpkg.h"
#include "C:/ise81/vhdl/hdp/nt/ieee/std_logic_unsigned/std_logic_unsigned.h"
#include "isim/mylib/vtx_pack/vtx_pack.h"
#include "C:/ise81/vhdl/hdp/nt/ieee/numeric_std/numeric_std.h"
#include "isim/unisim.auxlib/vcomponents/vcomponents.h"

class _top : public HSim__s6 {
public:
    _top() : HSim__s6(false, "_top", "_top", 0, 0, HSim::VhdlDesignEntity) {}
    HSimConfigDecl * topModuleInstantiate() {
        HSimConfigDecl * cfgvh = 0;
        cfgvh = new HSimConfigDecl("default");
        HSim__s6 * topvh = 0;
        topvh = new Work_tb_vhd_behavior("tb_vhd");
        topvh->constructPorts();
        topvh->vhdlArchImplement();
        topvh->architectureInstantiate(cfgvh);
        addChild(topvh);
        return cfgvh;
}
};

main(int argc, char **argv) {
  HSimDesign::initDesign();
  globalKernel->getOptions(argc,argv);
  HSim__s6 * _top_i = 0;
  try {
    IeeeStd_logic_1164=new Ieee_std_logic_1164("Std_logic_1164");
    StdTextio=new Std_textio("Textio");
    IeeeVital_timing=new Ieee_vital_timing("Vital_timing");
    IeeeVital_primitives=new Ieee_vital_primitives("Vital_primitives");
    IeeeStd_logic_arith=new Ieee_std_logic_arith("Std_logic_arith");
    UnisimVpkg=new Unisim_vpkg("Vpkg");
    IeeeStd_logic_unsigned=new Ieee_std_logic_unsigned("Std_logic_unsigned");
    MylibVtx_pack=new Mylib_vtx_pack("Vtx_pack");
    IeeeNumeric_std=new Ieee_numeric_std("Numeric_std");
    UnisimVcomponents=new Unisim_vcomponents("Vcomponents");
    HSimConfigDecl *cfg;
 _top_i = new _top();
  cfg =  _top_i->topModuleInstantiate();
    return globalKernel->runTcl(cfg, _top_i, "_top", argc, argv);
  }
  catch (HSimError& msg){
    try {
      globalKernel->error(msg.ErrMsg);
      return 1;
    }
    catch(...) {}
      return 1;
  }
  catch (...){
    globalKernel->fatalError();
    return 1;
  }
}
